# -*- coding: utf-8 -*-

"""
Module implementing OpenServer.
"""

from PyQt4.QtGui import QMainWindow
from PyQt4.QtCore import pyqtSignature
from PyQt4.QtCore import Qt

from Ui_openserver import Ui_MainWindow

class OpenServer(QMainWindow, Ui_MainWindow):
    """
    Class documentation goes here.
    """
    def __init__(self, parent):
		"""
		Constructor
		"""
		QMainWindow.__init__(self, parent)
		self.parentWindow = parent
		self.setupUi(self)
		try :
			self.setAttribute(Qt.WA_Maemo5StackedWindow, True)
			USE_MAEMO=True
		except :
			USE_MAEMO=False		

    
    @pyqtSignature("")
    def on_m_bu_open_bookmarks_clicked(self):
        """
        Slot documentation goes here.
        """
        # TODO: not implemented yet
        raise NotImplementedError
    
    @pyqtSignature("")
    def on_m_bu_cancel_clicked(self):
		#self.m_le_password.text("")
		#self.m_le_server.text("")
		#self.m_le_user.text("")
		self.hide()
    
    @pyqtSignature("")
    def on_m_bu_connect_clicked(self):
        self.parentWindow.connectToServer(self.m_le_server.text(), self.m_le_user.text(),  self.m_le_password.text())
        self.hide()
